<?php
namespace Drupal\gtext\Twig;


use \Twig\Extension\AbstractExtension;
use \Twig\Extension\GlobalsInterface;
use \Twig\TwigFilter;
use \Twig\TwigFunction;

class TwigTranslateExtension extends AbstractExtension implements GlobalsInterface {
    public function getName() {
        return 'gtext.translate_extension';
    }

    public function getGlobals(){
        return [
            'gtext' => \Drupal::service('gtext'),
        ];
    }

    public function getFilters() {
        return [
            new TwigFilter('gtext', [$this, 'gTextTranslate']),
        ];
    }


    public function gText() {
        return \Drupal::service('gtext');
    }
    public function gTextTranslate($text, $contextName, $args = []) {
        return \Drupal::service('gtext')->$contextName->t($text, $args);
    }
}
